Delete Marketing Subscription
curl --request DELETE \
--url https://integration.getmateo.com/api/v1/marketing_subscription \
--header 'Authorization: Bearer <token>'import requests
url = "https://integration.getmateo.com/api/v1/marketing_subscription"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integration.getmateo.com/api/v1/marketing_subscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketing_channel_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "now()",
"updated_at": "now()",
"key": "<string>",
"status": "requested",
"channel_type": "email"
}This response has no body data.Marketing Subscription
Delete Marketing Subscription
Delete an existing marketing subscription
Delete Marketing Subscription
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Select columns to return
Contact ID
Marketing channel ID
Organisation ID
Marketing subscription creation date
Latest update
Marketing subscription key
Status of Marketing subscription
Channel Type of Conversation
Response
The updated Marketing Subscription object
Contact ID
Marketing channel ID
Organisation ID
Marketing subscription creation date
Latest update
Marketing subscription key
Status of Marketing subscription
Available options:
requested, accepted, declined Channel Type of Conversation
Available options:
email, sms, whatsapp, instagram, facebook, google_business_messaging, postal